Bug 969333 - (CVE-2016-1630) VUL-0: chromium: Chrome Stable Channel Update 49.0.2623.75
(CVE-2016-1630)
VUL-0: chromium: Chrome Stable Channel Update 49.0.2623.75
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 42.1
Other Other
: P3 - Medium : Major (vote)
: ---
Assigned To: Security Team bot
Security Team bot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 11:57 UTC by Alexander Bergmann
Modified: 2018-02-21 06:09 UTC (History)
6 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2016-03-03 11:57:43 UTC
http://googlechromereleases.blogspot.de/2016/03/stable-channel-update.html

Security Fixes and Rewards

This update includes 26 security fixes. Below, we highlight fixes that were contributed by external researchers. Please see the Chromium security page for more information.

> [$8000][560011] High CVE-2016-1630: Same-origin bypass in Blink. Credit to Mariusz Mlynski.
> [$7500][569496] High CVE-2016-1631: Same-origin bypass in Pepper Plugin. Credit to Mariusz Mlynski.
> [$5000][549986] High CVE-2016-1632: Bad cast in Extensions. Credit to anonymous.
> [$3000][572537] High CVE-2016-1633: Use-after-free in Blink. Credit to cloudfuzzer.
> [$3000][559292] High CVE-2016-1634: Use-after-free in Blink. Credit to cloudfuzzer.
> [$2000][585268] High CVE-2016-1635: Use-after-free in Blink. Credit to Rob Wu.
> [$2000][584155] High CVE-2016-1636: SRI Validation Bypass. Credit to ryan@cyph.com.
> [$500][560291] High CVE-2015-8126: Out-of-bounds access in libpng. Credit to joerg.bornemann.
> [$2000][555544] Medium CVE-2016-1637: Information Leak in Skia. Credit to Keve Nagy.
> [$1000][585282] Medium CVE-2016-1638: WebAPI Bypass. Credit to Rob Wu.
> [$1000][572224] Medium CVE-2016-1639: Use-after-free in WebRTC. Credit to Khalil Zhani.
> [$1000][550047] Medium CVE-2016-1640: Origin confusion in Extensions UI. Credit to Luan Herrera.
> [$500][583718] Medium CVE-2016-1641: Use-after-free in Favicon. Credit to Atte Kettunen of OUSPG.

We would also like to thank all security researchers that worked with us during the development cycle to prevent security bugs from ever reaching the stable channel. An additional $14,500 in rewards were issued for security bugs present on non-stable channels.

As usual, our ongoing internal security work was responsible for a wide range of fixes:

> [591402] CVE-2016-1642: Various fixes from internal audits, fuzzing and other initiatives.
> Multiple vulnerabilities in V8 fixed at the tip of the 4.9 branch (currently 4.9.385.26).

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1314220
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-1636
Comment 1 Swamp Workflow Management 2016-03-03 23:00:31 UTC
bugbot adjusting priority
Comment 2 Andreas Stieger 2016-03-06 07:28:02 UTC
updates running
Comment 3 Swamp Workflow Management 2016-03-06 16:11:55 UTC
openSUSE-SU-2016:0664-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 969333
CVE References: CVE-2015-8126,CVE-2016-1630,CVE-2016-1631,CVE-2016-1632,CVE-2016-1633,CVE-2016-1634,CVE-2016-1635,CVE-2016-1636,CVE-2016-1637,CVE-2016-1638,CVE-2016-1639,CVE-2016-1640,CVE-2016-1641,CVE-2016-1642
Sources used:
openSUSE Leap 42.1 (src):    chromium-49.0.2623.75-27.1
Comment 4 Swamp Workflow Management 2016-03-06 16:12:21 UTC
SUSE-SU-2016:0665-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 969333
CVE References: CVE-2015-8126,CVE-2016-1630,CVE-2016-1631,CVE-2016-1632,CVE-2016-1633,CVE-2016-1634,CVE-2016-1635,CVE-2016-1636,CVE-2016-1637,CVE-2016-1638,CVE-2016-1639,CVE-2016-1640,CVE-2016-1641,CVE-2016-1642
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    chromium-49.0.2623.75-55.1
Comment 5 Swamp Workflow Management 2016-03-08 10:12:38 UTC
openSUSE-SU-2016:0684-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 969333
CVE References: CVE-2015-8126,CVE-2016-1630,CVE-2016-1631,CVE-2016-1632,CVE-2016-1633,CVE-2016-1634,CVE-2016-1635,CVE-2016-1636,CVE-2016-1637,CVE-2016-1638,CVE-2016-1639,CVE-2016-1640,CVE-2016-1641,CVE-2016-1642
Sources used:
openSUSE 13.1 (src):    chromium-49.0.2623.75-135.1
Comment 6 Marcus Meissner 2016-03-11 16:01:18 UTC
done
Comment 7 Swamp Workflow Management 2016-03-11 21:11:53 UTC
openSUSE-SU-2016:0729-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 969333
CVE References: CVE-2015-8126,CVE-2016-1630,CVE-2016-1631,CVE-2016-1632,CVE-2016-1633,CVE-2016-1634,CVE-2016-1635,CVE-2016-1636,CVE-2016-1637,CVE-2016-1638,CVE-2016-1639,CVE-2016-1640,CVE-2016-1641,CVE-2016-1642
Sources used:
openSUSE 13.2 (src):    chromium-49.0.2623.75-81.2